#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor.exe

SCENE=vienna_cropped_gi
LOG_PREFIX=../scripts/tests/gi/$SCENE-35MB
ENVIRONMENT=$SCENE.env

echo "starting $TARGET mode for $SCENE scene"

############################################################################

 METHOD=gradient-full
 echo "$SCENE $METHOD"

$PROGRAM $ENVIRONMENT \
  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
  -hierarchy_construction_type=2 \
  -hierarchy_construction_consider_memory=true \
  -hierarchy_construction_multilevel=false \
  -bvh_use_sah=false \
  -vsp_use_cost_heuristics=true \
  -hierarchy_construction_recompute_split_on_repair=true

sh movefiles.sh $LOG_PREFIX-$METHOD

#######################################################

NODES=10000
USE_HEUR=true

  METHOD=sequential-$NODES-$USE_HEUR
  echo "$SCENE $METHOD"

$PROGRAM $ENVIRONMENT \
  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
 -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
 -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
 -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
 -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
 -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
 -hierarchy_construction_type=0 \
 -vsp_use_cost_heuristics=$USE_HEUR \
 -bvh_term_max_leaves=$NODES

sh movefiles.sh $LOG_PREFIX-$METHOD

#######################################################

 METHOD=gradient-full-corr
 echo "$SCENE $METHOD"

$PROGRAM $ENVIRONMENT \
  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
  -hierarchy_construction_type=2 \
  -hierarchy_construction_consider_memory=true \
  -hierarchy_construction_multilevel=false \
  -bvh_use_sah=false \
  -vsp_use_cost_heuristics=true \
  -hierarchy_construction_min_avg_raycontri=0.01 \
  -hierarchy_construction_max_avg_raycontri=0.5 \
  -hierarchy_construction_recompute_split_on_repair=true

sh movefiles.sh $LOG_PREFIX-$METHOD

#######################################################

NODES=50000
USE_HEUR=true

  METHOD=sequential-$NODES-$USE_HEUR
  echo "$SCENE $METHOD"

$PROGRAM $ENVIRONMENT \
  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
 -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
 -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
 -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
 -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
 -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
 -hierarchy_construction_type=0 \
 -vsp_use_cost_heuristics=$USE_HEUR \
 -bvh_term_max_leaves=$NODES

sh movefiles.sh $LOG_PREFIX-$METHOD


#######################################################